# Namespace WebSocket

#####
Index

### References

CloseEvent
ErrorEvent
Event
EventListenerOptions
MessageEvent
WebSocket

### Classes

Server

### Interfaces

AddressInfo
ClientOptions
PerMessageDeflateOptions
ServerOptions
WebSocketServer

### Type Aliases

CertMeta
Data
RawData
VerifyClientCallbackAsync
VerifyClientCallbackSync

### Variables

WebSocketServer

### Functions

createWebSocketStream

## References

### CloseEvent

Re-exports CloseEvent

### ErrorEvent

Re-exports ErrorEvent

### Event

Re-exports Event

### EventListenerOptions

Re-exports EventListenerOptions

### MessageEvent

Re-exports MessageEvent

### WebSocket

Re-exports WebSocket

Generated using TypeDoc